import processReducer from "./reducers/orders/processReducers";

const APPLICAITON_MODE = 'DEV';
const APPLICATION_NAME = 'Co-Market';
const API_VERSION = 'v2';

const API_SERVER_BASE = (() => {
    if(APPLICAITON_MODE === 'TEST'){
        return process.env.TEST_URL;
    }

    if(APPLICAITON_MODE === 'PROD'){
        return process.env.PROD_URL;
    }

    return 'http://localhost:8000';
})();

const API_SERVER = API_SERVER_BASE + '/' + API_VERSION;

export {APPLICAITON_MODE, API_SERVER_BASE, API_SERVER, APPLICATION_NAME}
